Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CStockage.channelAction.injac.actions
Class DocumentUnpublicationAction

    java.lang.Object
      org.esupportail.portal.channels.CStockage.channelAction.injac.actions.DocumentUnpublicationAction

public class DocumentUnpublicationAction
extends java.lang.Object

Id: DocumentUnpublicationAction.java,v 1.0 27 oct. 2004 Copyright (c) 2004 Esup Portail (www.esup-portail.org) Classes: DocumentUnpublicationAction Original Author: Yohan Colmant Action for the document unpublication

Field Summary
`protected static Log` | `log` Logger object

Constructor Summary
`DocumentUnpublicationAction()`

Method Summary
`static java.lang.StringBuffer` | `renderXmlConfirmUnpublish(org.jasig.portal.ChannelRuntimeData runtimeData, BufferAction buffer, java.lang.StringBuffer stylesheet, java.util.ArrayList metadataToSet, java.lang.String userPortalLogin, java.util.Vector userGroups, Space currentSpace, DirectoryProperties directoryProperties)` Generate the XML when we ask an unpublication confirmation
`static java.lang.StringBuffer` | `unpublish(org.jasig.portal.ChannelRuntimeData runtimeData, java.lang.StringBuffer stylesheet, java.util.ArrayList spaces, java.util.ArrayList metadataToSet, java.lang.String userPortalLogin, java.util.Vector userGroups, Space currentSpace, DirectoryProperties directoryProperties, java.lang.String currentSortType)` Generate the XML String and unpublish the document

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static final Log log

  Logger object

Constructor Detail

### DocumentUnpublicationAction

    public DocumentUnpublicationAction()

Method Detail

### renderXmlConfirmUnpublish

    public static java.lang.StringBuffer renderXmlConfirmUnpublish(org.jasig.portal.ChannelRuntimeData runtimeData,
                                                                   BufferAction buffer,
                                                                   java.lang.StringBuffer stylesheet,
                                                                   java.util.ArrayList metadataToSet,
                                                                   java.lang.String userPortalLogin,
                                                                   java.util.Vector userGroups,
                                                                   Space currentSpace,
                                                                   DirectoryProperties directoryProperties)
                                                            throws ChannelException

  Generate the XML when we ask an unpublication confirmation

  Parameters:
    `runtimeData` - the channel runtimedata object
    `buffer` - the buffer used for the clipboard
    `stylesheet` - the channel stylesheet we are going to use
    `metadataToSet` - the metatada list we want to set
    `userPortalLogin` - the user portal login
    `userGroups` - the user portal groups
    `currentSpace` - the current space
    `directoryProperties` - the current directory properties
  Returns:
    the XML String for this mod
  Throws:
    `ChannelException`

### unpublish

    public static java.lang.StringBuffer unpublish(org.jasig.portal.ChannelRuntimeData runtimeData,
                                                   java.lang.StringBuffer stylesheet,
                                                   java.util.ArrayList spaces,
                                                   java.util.ArrayList metadataToSet,
                                                   java.lang.String userPortalLogin,
                                                   java.util.Vector userGroups,
                                                   Space currentSpace,
                                                   DirectoryProperties directoryProperties,
                                                   java.lang.String currentSortType)
                                            throws ChannelException

  Generate the XML String and unpublish the document

  Parameters:
    `runtimeData` - the runtime data channel object
    `stylesheet` - the stylesheet we are about to use
    `spaces` - the default spaces
    `metadataToSet` - the metadata list we want to set
    `userPortalLogin` - the user portal login
    `userGroups` - the user portal groups
    `currentSpace` - the current space
    `directoryProperties` - the current directory properties
    `currentSortType` - The current and default sort type for the resources
  Returns:
    the XML String for this mod
  Throws:
    `ChannelException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD